#include	<sys/types.h>
#include	<fcntl.h>

#define rlock_file(fd) \
          lock_reg(fd, F_SETLK, F_RDLCK, 0, SEEK_SET, 0)
#define wlock_file(fd) \
          lock_reg(fd, F_SETLK, F_WRLCK, 0, SEEK_SET, 0)
#define unlock_file(fd) \
          lock_reg(fd, F_SETLK, F_UNLCK, 0, SEEK_SET, 0)

#define is_rlock_file(fd) \
          lock_test(fd, F_RDLCK, 0, SEEK_SET, 0)
#define is_wlock_file(fd) \
          lock_test(fd, F_WRLCK, 0, SEEK_SET, 0)

extern int lock_reg();
extern pid_t lock_test();
